quartzFonts {grDevices} | R Documentation

## quartz Fonts

### Description

These functions handle the translation of a device-independent R graphics font family name to a quartz font description.

### Usage

    quartzFont(family)

    quartzFonts(...)

### Arguments

`family` | a character vector containing the four PostScript font names for plain, bold, italic, and bolditalic versions of a font family.
`...` | either character strings naming mappings to display, or new (named) mappings to define.

### Details

A quartz device is created with a default font (see the documentation for `quartz`), but it is also possible to specify a font family when drawing to the device (for example, see the documentation for `gpar` in the grid package).

The font family sent to the device is a simple string name, which must be mapped to something more specific to quartz fonts. A list of mappings is maintained and can be modified by the user.

The `quartzFonts` function can be used to list existing mappings and to define new mappings. The `quartzFont` function can be used to create a new mapping.

Default mappings are provided for four device-independent font family names: `"sans"` for a sans-serif font, `"serif"` for a serif font, `"mono"` for a monospaced font, and `"symbol"` for a symbol font.

### See Also

`quartz`

### Examples

    quartzFonts()
    quartzFonts("mono")

[Package grDevices version 2.4.1 Index]